<?php

/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 * Template Name: Coming Soon Page
 */

// Block direct access
if (!defined('ABSPATH')) {
    exit();
}

if (class_exists('ReduxFramework')) {
    $daltechcoming_soontitle     = daltech_opt('daltech_coming_soon_title');
    $daltechcoming_soonsubtitle  = daltech_opt('daltech_coming_soon_subtitle');
    $daltechcoming_soonbtntext   = daltech_opt('daltech_coming_soon_btn_text');
} else {
    $daltechcoming_soontitle     = __('Website Under Construction', 'daltech');
    $daltechcoming_soonsubtitle  = __('Website Under Construction. Work Is Going On For The Website Please Stay With Us.', 'daltech');
    $daltechcoming_soonbtntext   = __('Return To Home', 'daltech');
}


// get header
get_header();

echo '<section class="vs-error-wrapper space">';
echo '<div class="container">';
echo '<div class="error-content text-center">';
if (!empty(daltech_opt('daltech_coming_soon_image', 'url'))) {
    echo '<div class="error-img">';
    echo daltech_img_tag(array(
        'url'   => esc_url(daltech_opt('daltech_coming_soon_image', 'url')),
    ));
    echo '</div>';
}
echo '<div class="row justify-content-center">';
echo '<div class="col-xl-9">';
if (!empty($daltechcoming_soontitle)) {
    echo '<h2 class="error-title">' . esc_html($daltechcoming_soontitle) . '</h2>';
}
if (!empty($daltechcoming_soonsubtitle)) {
    echo '<p class="error-text px-xl-5">' . esc_html($daltechcoming_soonsubtitle) . '</p>';
}
echo '<a href="' . esc_url(home_url('/')) . '" class="vs-btn mask-btn"><span class="btn-text">' . esc_html($daltechcoming_soonbtntext) . '</span><span class="btn-text-mask">' . esc_html($daltechcoming_soonbtntext) . '</span></a>';

echo '</div>';
echo '</div>';
echo '</div>';
echo '</div>';
echo '</section>';

//footer
get_footer();
